apiVersion: apps/v1
kind: Deployment
metadata:
  name: manual
  namespace: imxc
spec:
  selector:
    matchLabels:
      app: manual
  replicas: 1
  template:
    metadata:
      labels:
        app: manual
    spec:
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: cmoa
                operator: In
                values:
                - worker2
      containers:
      - name: manual
        image: {{ .Values.global.IMXC_IN_REGISTRY }}/manual:{{ .Values.global.CMOA_MANUAL_VERSION }}
        imagePullPolicy: IfNotPresent

---
apiVersion: v1
kind: Service
metadata:
  name: manual
  namespace: imxc
spec:
  type: NodePort
  selector:
    app: manual
  ports:
    - protocol: TCP
      port: 8088
      targetPort: 3000
      nodePort: {{ .Values.global.CMOA_MANUAL_PORT }}

